import req from '@/utils/request';
// import dictMap from './dictMap';
import { queryApiActionPath, queryWsPath } from '@/webPublic/one_stop_public/utils/queryConfig';

var localMockHostPath = 'false'; //
var localhostPath = queryApiActionPath();
var wsPath = queryWsPath();

// 测试对接接口用地址不用时删除
async function request(data) {
	return req(`${data.url}`, {
		method: 'POST',
		body: data.params,
	});
}

const config = {
	// dictMap:dictMap,
	httpServer: localhostPath,
	httpMockServer: localMockHostPath,
	rapFlag: true,
	onlinePath: '/transacApi/',
	onlineImagePath: '',
	rapImagePath: localhostPath,
	uploadUrl: localhostPath + '/upload',
	websocketUrl: wsPath != null ? wsPath : localhostPath.replace('http', 'ws') + '/websocket',
	payUrl: localhostPath + '/createWixinPayCode',
	checkPath: false,
	request,
};

export default config;
